<template>
    <b-row>
        <b-col cols="12">
            <h2>
                User List
                <b-link href="#/add-User">(Add User)</b-link>
            </h2>
            <b-table striped hover :items="users" :fields="fields">
                <template slot="actions" scope="row">
                    <b-btn size="sm" @click.stop="details(row.item)">Details</b-btn>
                </template>
            </b-table>
        </b-col>
    </b-row>
</template>

<script>
  import gql from "graphql-tag";
  import router from "../router";

  const GET_USERS = gql`
  {
    users {
      id
      team
      call_sign
      status
    }
  }
`;
export default {
    name: "UserList",
    apollo: {
      users: {
        query: GET_USERS,
        pollInterval: 300
      }
    },
    data() {
      return {
        fields: {
          team: { label: "team", sortable: true, class: "text-left" },
          call_sign: { label: "call sign", sortable: true, class: "text-left" },
          status: { label: "status", sortable: true, class: "text-left" },
          actions: { label: "action", class: "text-center" }
        },
        users: []
    };
},
methods: {
  details(user) {
    router.push({ name: "ShowUser", params: { id: user.id } });
  }
}
};
</script>

<style>
    .table {
        width: 96%;
        margin: 0 auto;
    }
</style>